<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <meta http-equiv="pragram" content="no-cache">
    <meta http-equiv="Expires" content="0">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Cache-control" content="no-store,no-cache,must-revalidate">
    <meta http-equiv="Cache" content="no-cache">
    <title><%= webpackConfig.name %></title>
    <% if (eval(process.env.VUE_APP_LOGIN_FOR_PERMISSION)) { %>
    <script>
        window.zzSessionStorage = {
          setItem: (item, value) => {
            return localStorage.setItem(item, value)
          },
          getItem: (item) => {
            return localStorage.getItem(item)
          },
          removeItem: (item) => {
            return localStorage.removeItem(item)
          },
          clear: () => {
            return localStorage.clear()
          }
        }
    </script>
    <% } else { %>
    <script>
      console.log(2)
      window.zzSessionStorage = {
        setItem: (item, value) => {
          return sessionStorage.setItem(item, value)
        },
        getItem: (item) => {
          return sessionStorage.getItem(item)
        },
        removeItem: (item) => {
          return sessionStorage.removeItem(item)
        },
        clear: () => {
          return sessionStorage.clear()
        }
      }
    </script>
    <% } %>
    <script id="worker" type="app/worker">
      var num = 0
      function loop() {
          setInterval(function () {
               var a = postMessage(num);
               num++
          }, 1000)
      }
      loop()
      onmessage = function(e) {
        num = e.data
      }
    </script>
  </head>
  <body>
    <noscript>
      <strong>We're sorry but <%= webpackConfig.name %> doesn't work properly without JavaScript enabled. Please enable it to continue.</strong>
    </noscript>
    <div id="app"></div>
    <!-- built files will be auto injected -->
  </body>
</html>
